---
schema_version: "1"
id: 5e50a49a8f4ac1034850f883fbe18928998adeccc121e4bb72a865f6d5054227
title: Page Reference Input
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_requests_page_reference_input.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_page_reference_input.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: abd3e973a5eb70dae3cdb3397e9edaf2b5dd1bc98b917fb0fcf5f74b03bdb4dd
description: To add a navigation item, include a pageReference. A pageReference is a JSON object that describes the navigation item’s page type, its attributes, and the state of the page.
---
# Page Reference Input

To add a navigation item, include a pageReference. A pageReference is a JSON object that describes the navigation item’s page type, its attributes, and the state of the page.

Example

PUT /services/data/v68.0/ui-api/apps/06mRM000000U6pOYAS/user-nav-items

The request body contains the list of navigation items in the order they should appear. To add a navigation item, include a pageReference describing the item.

{
  "navItems": \[{
    "id": "0QkRM00000058lN0AQ"
  }, {
    "id": "0QkRM00000058lR0AQ",
    "label": "My Top Account"
  }, {
    "pageReference": {
      "type": "standard\_\_objectPage",
      "attributes": {
        "objectApiName": "Dashboard",
        "actionName": "home"
      },
      "state": {}
    }
  }\]
}

Properties

| Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| type | String | The page reference type generates a unique URL format and defines attributes that apply to all pages of that type. See [PageReference Types](https://developer.salesforce.com/docs/component-library/documentation/lwc/lwc.reference_page_reference_type "HTML (New Window)"). | Required | 47.0 |
| attributes | Map<String, Object> | Map of values for each attribute specified by the page definition, for example, objectAPIName or actionName. | Required | 47.0 |
| state | Map<String, Object> | Map of conditional values that customize content on the page, such as filterName. | Optional | 47.0 |

#### See Also

- [Navigation Item Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_navigation_item_input.htm "Represents the list of navigation items in the order that you want them to appear in the app.")